org.apache.lucene.index

## Class IndexWriter.IndexReaderWarmer

- java.lang.Object
- - org.apache.lucene.index.IndexWriter.IndexReaderWarmer

- Direct Known Subclasses:
    SimpleMergedSegmentWarmer
  Enclosing class:
    IndexWriter

      public abstract static class IndexWriter.IndexReaderWarmer
      extends Object

  If `DirectoryReader.open(IndexWriter)` has been called (ie, this writer is in near real-time mode), then after a merge completes, this class can be invoked to warm the reader on the newly merged segment, before the merge commits. This is not required for near real-time search, but will reduce search latency on opening a new near real-time reader after a merge completes.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

    NOTE: warm is called before any deletes have been carried over to the merged segment.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexReaderWarmer()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `warm(LeafReader reader)` Invoked on the `LeafReader` for the newly merged segment, before that segment is made visible to near-real-time readers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexReaderWarmer

          protected IndexReaderWarmer()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### warm

          public abstract void warm(LeafReader reader)
                             throws IOException

      Invoked on the `LeafReader` for the newly merged segment, before that segment is made visible to near-real-time readers.
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.